# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2022-11-21 13:19
from __future__ import unicode_literals

from django.db import migrations

from allauth.account.utils import sync_user_email_addresses


def fix_user_email(apps, schema_editor):

    Users = apps.get_model("trix_core", "User")

    for u in Users.objects.all():
        email = u.email.split('@')
        if email[1].endswith('.uio.no'):
            u.email = email[0] + '@' + 'uio.no'
            u.save()
        sync_user_email_addresses(u)


class Migration(migrations.Migration):

    dependencies = [
        ('trix_core', '0005_auto_20190818_2150'),
    ]

    operations = [
        migrations.RunPython(fix_user_email),
    ]
